#
# spec file for package perl-Hash-Util-FieldHash-Compat
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Hash-Util-FieldHash-Compat
Version:        0.11
Release:        1.1
%define cpan_name Hash-Util-FieldHash-Compat
Summary:        Use Hash::Util::FieldHash or ties, depending on availability
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Hash-Util-FieldHash-Compat/
Source0:        http://www.cpan.org/authors/id/E/ET/ETHER/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(parent)
Requires:       perl(parent)
%{perl_requires}

%description
Under older perls this module provides a drop-in compatible API to
Hash::Util::FieldHash using perltie. When Hash::Util::FieldHash is
available it will use that instead.

This way code requiring field hashes can benefit from fast, robust field
hashes on Perl 5.10 and newer, but still run on older perls that don't ship
with that module.

See Hash::Util::FieldHash for all the details of the API.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING LICENCE README

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Hash-Util-FieldHash-Compat/Changes
  0.11      2016-06-13 21:57:55Z
  - be gentle to older toolchains by avoiding the use of
    Module::Metadata in configure-requires (RT#115310)
* Mon Sep 28 2015 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Hash-Util-FieldHash-Compat/Changes
  0.10      2015-09-27 04:28:27Z
  - fix invalid prereq specification for Heavy implementation (changed
    in 0.09)
* Sun Aug 23 2015 coolo@suse.com
- updated to 0.09
  see /usr/share/doc/packages/perl-Hash-Util-FieldHash-Compat/Changes
  0.09      2015-08-16 05:34:14Z
  - update some distribution tooling
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Hash-Util-FieldHash-Compat/Changes
  0.08      2014-07-17 15:06:28Z
  - add missing prereq declarations needed for perl 5.6 (RT#97000)
* Mon Mar 24 2014 lars@linux-schulserver.de
- update to 0.07:
  + better fix for misleading 'provides' metadata
  + now skipping back-compat tests on newer perls - this test
    will now run for authors only
  + fix misleading 'provides' metadata (added in 0.05) that may
    confuse some tools
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.05
  - convert to Dist::Zilla, with more metadata
* Mon Feb  3 2014 lars@linux-schulserver.de
- update to 0.04:
  + RT#83667: localize $SIG{__DIE__} before an eval
* Thu Jul 14 2011 coolo@novell.com
- regenerate with cpanspec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Apr 10 2010 lars@linux-schulserver.de
- initial version 0.03
